<?php
if(isset($_POST["bexp"])) {	
	$varFIni = ($_POST["eini"]=="") ? "NULL" : "'".FechaMySql($_POST["eini"])."'";
	$varFFin = ($_POST["efin"]=="") ? "NULL" : "'".FechaMySql($_POST["efin"])."'";
	$varClie = ($_POST["ccod"]=="") ? "NULL" : $_POST["ccod"];
	$varVend = ($_POST["vcod"]=="") ? "NULL" : $_POST["vcod"];			
	$varTipo = ($_POST["tcod"]=="") ? "NULL" : $_POST["tcod"];
	
	$sql = "call spQuery_Registro_Ventas($varClie, $varVend, $varTipo, $varFIni, $varFFin);";
	$_SESSION[expor_sql_1] =  $sql;
	$_SESSION[expor_sql_2] = NULL;
	$dir = "export.php?page=REGISTRO DE VENTAS";
	header("location: $dir");
	}
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

require "clases/KoolAjax/koolajax.php";
$koolajax->scriptFolder = "clases/KoolAjax";
				
function seleccionaProducto($ide, $varLista) {
	if($ide<>"") {
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$obj->AbrirConexion();
		$sql = "call spQuery_Lista_Producto_Venta('$ide','','$varLista');";
		
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);
		if($obj->NumFilas($rs)>0) $retorna = $Fila["PRODUCTO"]."[[sep]]".$Fila["UM_VENTA"]."[[sep]]".$Fila["PRECIO_VENTA"]."[[sep]]".$Fila["STOCK"];
		else $retorna = "NO EXISTE";
		}
	return $retorna;
	}

function generaDocNuevo($varVenta, $varTipo) {
	$retorna = "ERROR";
	if($varVenta<>"") {
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$obj->AbrirConexion();
		$Usr = (isset($_SESSION["_CUSE"]))  ? $_SESSION["_CUSE"] : "1";
		$sql = "CALL spProceso_Genera_Nueva_Venta($varVenta, '$varTipo', $Usr);";
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);
		if($obj->NumFilas($rs)>0) $retorna = $Fila[0];
		else $retorna = "ERROR";
		}
	return $retorna;
	}

function seleccionarNroDocumento($ide) {
	if($ide<>"" && $ide<>"Ninguno") {
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$sql = "select spFuncion_NumeroDocumento('$ide');";
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		if($Fila = $obj->FetchArray($rs)) {
			$retorna = $Fila[0];
			}
		else {
			$retorna = "NO CONFIGURADO";
			}		
		}
	else $retorna = "";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("tdnam","value",$retorna);
	$respuestaXajax->assign("tdnam1","value",$retorna);	
	return $respuestaXajax;
	}	
	
$xajax->register(XAJAX_FUNCTION, 'seleccionarNroDocumento');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_cliente');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_tipo_docpago');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_vendedor');
$xajax->processRequest();
$xajax->printJavascript("clases/xajax");

$koolajax->enableFunction("seleccionaProducto");
$koolajax->enableFunction("generaDocNuevo");	
echo $koolajax->Render();
		
function MyTable($obj, $varTitulo, $Opcion, $Valor) {
	$Link = $_SERVER['PHP_SELF'];
	?>
<script language="javascript">
function ImprimirGuia(varSIni, varNIni, varSFin, varNFin, varFecha) {	
		var Ruta = 'print/print_guia_cont.php?sini='+varSIni+'&nini='+varNIni+'&sfin='+varSFin+'&nfin='+varNFin+'&femi='+varFecha;
		testwindow = window.open (Ruta, "print_guia_cont", "location=no,status=no,toolbar=no,scrollbars=1,width=850,height=550");
	}
	

</script>
	<?php
	if(!isset($Opcion)) {
		
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"420", "clase"=>"Formtitulo", "titulo"=>$varTitulo." - BUSQUEDA",
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$varTitulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Nro. Guia Inicial :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"sini", "name"=>"sini", "valor"=>$_POST["sini"],
																					 "ancho"=>"50", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)"),
																			   array("tipo"=>"text", "id"=>"nini", "name"=>"nini", "valor"=>$_POST["nini"], 
																					 "ancho"=>"150")
																			   )
														 	)
											 ),
									   array("titulo"=>"Nro. Guia Final :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"sfin", "name"=>"sfin", "valor"=>$_POST["sfin"],
																					 "ancho"=>"50", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)"),
																			   array("tipo"=>"text", "id"=>"nfin", "name"=>"nfin", "valor"=>$_POST["nfin"], 
																					 "ancho"=>"150")
																			   )
														 	)
											 ),	
									   array("titulo"=>"Fecha Emision :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"fecha", "id"=>"femi", "name"=>"femi", "alinear"=>"center", "valor"=>$_POST["femi"]) )									   
									   ),
						"boton"=>array(array("tipo"=>"submit", "id"=>"bcon", "name"=>"bcon", "ancho"=>"80", "alto"=>"22", "texto"=>"Consultar"),			  
									   array("tipo"=>"button", "id"=>"bexp", "name"=>"bexp", "ancho"=>"110", "alto"=>"22", 
									   		 "texto"=>"Imprimir Guias", 
											 "click"=>"javascript:ImprimirGuia(form.sini.value, form.nini.value, form.sfin.value, form.nfin.value, form.femi.value)")
									   )
						);
		echo $obj->setTablaForm($varTabla);
		if(isset($_POST["bcon"])) {		
			$varFEMI   = ($_POST["femi"]=="") ? "NULL" : "'".FechaMySql($_POST["femi"])."'";
			$varDocIni = str_pad($_POST["sini"],3,"0",STR_PAD_LEFT)."-".str_pad($_POST["nini"],7,"0",STR_PAD_LEFT);
			$varDocFin = str_pad($_POST["sfin"],3,"0",STR_PAD_LEFT)."-".str_pad($_POST["nfin"],7,"0",STR_PAD_LEFT);
			
			$sql = "call spQuery_Impresion_Guia('$varDocIni', '$varDocFin', $varFEMI);";
			$varTabla=array("id"=>"theTable", "name"=>"theTable", "tamano"=>"1100", "sql_cab"=>$sql,	"pages"=>50,
							"conte"=>array(array("tamano"=>20, "titulo"=>"IDE", "alinear"=>"center"),
										   array("tamano"=>50, "titulo"=>"EMISION", "alinear"=>"center"),
										   array("tamano"=>80, "titulo"=>"DOCUMENTO", "alinear"=>"center", "funcion"=>array("contar")),
										   array("tamano"=>10, "titulo"=>"CCON", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>150,"titulo"=>"CONDICION", "alinear"=>"center"),
										   array("tamano"=>40, "titulo"=>"EST.", "alinear"=>"center"),
										   array("tamano"=>10, "titulo"=>"CTIP", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>10, "titulo"=>"CCLI", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>250,"titulo"=>"CLIENTE"),
										   array("tamano"=>10, "titulo"=>"CVEN", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>250,"titulo"=>"VENDEDOR"),
										   array("tamano"=>10, "titulo"=>"CRUT", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>250,"titulo"=>"RUTA"),
										   array("tamano"=>40, "titulo"=>"PEDIDO", "alinear"=>"center"),
										   array("tamano"=>40, "titulo"=>"GUIA", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>50, "titulo"=>"TOTAL", "alinear"=>"right", "autosuma"=>"SI"),
										   array("titulo"=>"FCREADO",  "ancho"=>"100", "oculto"=>"SI"),
										   array("titulo"=>"FUPDATE",  "ancho"=>"100", "oculto"=>"SI"),
										   array("titulo"=>"UCREADO",  "ancho"=>"50",  "alinear"=>"center"),
										   array("titulo"=>"UUPDATE",  "ancho"=>"50",  "oculto"=>"SI")
										   )
							);
			echo $obj->SetGridTabla($varTabla);
			}
		}
	} 
?>